cap cd "C:/Users/laiwz/OneDrive - University of Maryland/Research/anticorruption_civil_servant/jle_final/replication"

global data ./data
global figdir ./figure
global tabdir ./table

graph set window fontface "Times New Roman"




*=======================================
*** Figure 4: timeline of inspections
*=======================================
use ${data}/data_for_analysis, clear

collapse (sum) inspectmain , by(year)
tsset year

gen incr = D.inspectmain
recode incr (.=0)

gen shr_insp = inspectmain/717*100
gen shr_incr = incr/717*100
gen estlab = string(round(shr_insp , .001))
*replace inspectmain = .1 if year==2012

tw ///
	(bar shr_incr year , barw(.5) ) ///
	(sc shr_insp year , msymbol(o) msize(small) c(l) lc(gray) lp(solid) mlab(estlab) mlabpos(11) ) , ///
	yti("%Inspected Departments") xti("Year" ) ///
	ylab(0(2.5)12.5 , valuelab ) xlab(, nogrid) ///
	leg(order(2 "Total Inspected" 1 "Newly Inspected") ///
		ring(0) pos(11) size(small) cols(1) region(color(none)) ) ///
	scheme(tufte)
	
gr export ${figdir}/fig_inspection_tseries.pdf , replace
