cap cd "C:/Users/laiwz/OneDrive - University of Maryland/Research/anticorruption_civil_servant/jle_final/replication"

global data ./data
global figdir ./figure
global tabdir ./table

graph set window fontface "Times New Roman"





*========================
**# Figure OA11
*========================



/*

topic:
           1 关系回避
           2 合计
           3 处罚违纪
           4 工作能力
           5 拥护宪法

*/


use ${data}/text_annoucement , clear

tw ///
	(sc word year if topic==1 , c(l) mlab(word) mlabpos(12) ) ///
	(sc word year if topic==3 , c(l) mlab(word) mlabpos(12) ) ///
	(sc word year if topic==4 , c(l) mlab(word) mlabpos(12) ) ///
	(sc word year if topic==5 , c(l) mlab(word) mlabpos(12) ), ///
	xlab(2008(1)2017 , tlc(black) nogr ) ylab(, tlc(black) format(%9.0fc)) xti("Year") yti("# Words") ///
	xsc(range(2007.5 2017.5)) ///
	leg(order(1 "Avoidance of Conflicts of Interest" ///
			  2 "No Crime Record" ///
			  3 "Ability, Health, and Ethics" ///
			  4 "Political Loyalty") pos(6) col(1)) ///
	scheme(tufte)

	gr export ${figdir}/fig_text_announcement.pdf , replace
	

	
replace total = total-word
	
tw ///
	(sc total year if topic==2 , c(l) mlab(total) mlabpos(12) ) ///
	(sc word  year if topic==2 , c(l) mlab(word) mlabpos(12) ) , ///
	xlab(2008(1)2017 , tlc(black) nogr ) ylab(, tlc(black) format(%9.0fc)) xti("Year") yti("# Words") ///
	xsc(range(2007.5 2017.5)) ///
	leg(order(1 "Technical Details" ///
			  2 "General Expectations" ) pos(6) row(1)) ///
	scheme(tufte)
	
	gr export ${figdir}/fig_text_overview.pdf , replace
