cap cd "C:/Users/laiwz/OneDrive - University of Maryland/Research/anticorruption_civil_servant/jle_final/replication"

global data ./data
global figdir ./figure
global tabdir ./table

graph set window fontface "Times New Roman"






*============================================
*** Table OA 3 
* Balance Test using Provincial Inspection
*============================================
use ${data}/data_prov , clear
order gdpp*, sequential

forvalues i=2008/2012 {
	local j = `i'-1
	gen dgdpp`i' = gdpp`i'-gdpp`j'
}

global gdpp gdpp2008 gdpp2009 gdpp2010 gdpp2011 gdpp2012
global dgdpp dgdpp2008 dgdpp2009 dgdpp2010 dgdpp2011 dgdpp2012


**** regression

foreach v of var $gdpp cu_investi_tc etc2004 $dgdpp {
	egen temp = std(`v')
	replace `v' = temp
	drop temp
}



set seed 2021
eststo clear

eststo: reg inspectwave $gdpp , vce(boot)
test $gdpp
estadd scalar fpval = `r(p)' , replace

eststo: reg inspectwave $gdpp cu_investi_tc etc2004 , vce(boot)
test $gdpp cu_investi_tc etc2004
estadd scalar fpval = `r(p)' , replace

eststo: reg inspectwave $dgdpp cu_investi_tc etc2004 , vce(boot)
test $dgdpp cu_investi_tc etc2004
estadd scalar fpval = `r(p)' , replace


**** labeling
forvalue i=2008/2012 {
	lab var gdpp`i' "GDPPC `i'"
	lab var dgdpp`i' "\$\Delta\$ GDPPC `i'"
}

lab var cu_investi_tc "Total arrests 2015"
lab var etc2004 "ETC 2004 (Cai et al 2011)"



**** make a table
esttab using ${tabdir}/table_yrinspection_prov_corr.tex, replace ///
	b(3) se(3) star(+ 0.1 * 0.05 ** 0.01) ///
	keep($gdpp cu_investi_tc etc2004 $dgdpp) label ///
	s(fpval N r2, fmt(3 %9.0fc 3) lab("\$F\$-test \$p\$-value" "\$N\$" "\$R^2\$")) ///
	nomtitles nogaps nonotes nolz booktabs alignment(D{.}{.}{-1}) prefoot("")


