cap cd "C:/Users/laiwz/OneDrive - University of Maryland/Research/anticorruption_civil_servant/jle_final/replication"

global data ./data
global figdir ./figure
global tabdir ./table

graph set window fontface "Times New Roman"



*============================================
*** Figure OA 10 
*============================================
use ./data/data_cgss , clear
keep if year<=2012


**** Bureaucrats' income and consumption
replace inc = . if inc<=0 | inc>=9999996
gen lninc = ln(inc)

sum lninc if working , d
gen incsamp = inrange(lninc, `r(p1)' , `r(p99)' ) if working

gen state_noncadre = state & !cadre
egen provyear = group(provid year)

replace living = . if living<=0
gen lnliving = ln(living)

reghdfe lninc cadre female ccp married i.edu if age>=25 & age<=60 & working & urban & incsamp [aw=wght] , a(provid#year#byear ) cl(provyear )
scalar b0 = _b[cadre]
scalar s0 = _se[cadre]
test cadre
scalar p0 = `r(p)'

reghdfe lnliving cadre female ccp married i.edu if age>=25 & age<=60 & working & urban & incsamp [aw=wght] , a(provid#year#byear ) cl(provyear )
scalar b1 = _b[cadre]
scalar s1 = _se[cadre]
test cadre
scalar p1 = `r(p)'

clear
input x
	0 
	1
end

gen b = .
gen s = .
gen p = .

foreach i in 0 1 {
	replace b = b`i' if x==`i'
	replace s = s`i' if x==`i' 
	replace p = p`i' if x==`i'
}

gen min95 = b-1.96*s
gen max95 = b+1.96*s


gen blab = ""
forvalues i=0/1 {
	foreach v in b s p {
		sum `v' if x==`i'
		global `v'`i': di %4.3f `r(mean)'
	}
	
	global star`i' = cond(${p`i'}<.01,"**",cond(${p`i'}<.05,"*",cond(${p`i'}<.1,"+","")))
	
	replace blab = "β = " + "${b`i'}" + "${star`i'}" + " " + "(${s`i'})" if x==`i'
}


tw ///
	(bar b x , barw(.5) mlabel(blab) mlabgap(10) mlabposition(11) ) ///
	(rcap min95 max95 x , lc(black) ) , ///
	xlab(-.5 " " 0 "ln(Income)" 1 "ln(Consumption)" 1.5 " " , notick nogr) xti("") yti("Coef on Bureaucrat Dummy") ///
	yline(0, lp(-) lc(gray)) ///
	scheme(tufte) leg(off)
	
	gr export ./figure/fig_mincer_consump.pdf , replace

	

