*=======================================
*** de Chasemartin (2022)
*=======================================
cap cd "C:/Users/laiwz/OneDrive - University of Maryland/Research/anticorruption_civil_servant/jle_final/replication"

global data ./data
global figdir ./figure
global tabdir ./table



*=======================================
**# Figure OA2: De Chasemartin Test
*=======================================
use ${data}/data_for_analysis, clear

global control exp_unlimited polaff_unlimited educ_vocational educ_college lngdpp

twowayfeweights comp agcyid year inspectmain , controls($control) type(feTR) path(${data}/twowayfeweights) //test_random_weights(${control})

dis e(sum_neg_w)

dis e(lb_se_te)

dis e(lb_se_te2)

dis e(beta)

// first measure high or low?
dis sqrt(3)*e(lb_se_te)

// second measure high or low?
dis 2*sqrt(3)*e(lb_se_te2)


**** Weight Histogram
use ${data}/twowayfeweights , clear

tw ///
	(histogram weight, lcolor(black) fcolor(white) percent bin(20) ), ///
	xtitle("Weight") xline(0, lp(-)) xlab(, nogr) ///
	plotregion(margin(small)) ///
	scheme(tufte)

gr export ${figdir}/fig_negative_weights.pdf, replace
erase ${data}/twowayfeweights.dta






* ==========================================
**# Figure OA3: Jackiela Test
*===========================================
use ${data}/data_for_analysis, clear


*keep if yr_inspectagcy==. | yr_inspectagcy==2015

**** Residualization
qui reg comp i.year i.agcyid $control
predict compres, res
replace compres = . if comp==.

qui reg inspectmain i.year i.agcyid $control
predict inspectmainres, res
replace inspectmainres = . if comp==.

gen inspectmainres2 = inspectmainres*inspectmainres if comp!=.
egen inspectmainvar = sum(inspectmainres2)
gen weight = inspectmainres/inspectmainvar 
replace weight = . if comp==.

gen compXinspect = comp*inspectmainres if comp!=.
egen numer = sum(compXinspect)
gen betahat = numer/inspectmainvar

dis betahat


***** Testing Slope
keep if compres>-500 & compres<500
preserve
sum compres , d

*keep if compres>r(p1) & compres<r(p99)

reg compres c.inspectmainres##c.inspectmain , r
* t = -1.30, p = .194

tw ///
	(sc compres inspectmainres if inspectmain==0 , mcolor(gs6) msymbol(+) msize(small) ) ///
	(sc compres inspectmainres if inspectmain==1 , mcolor(gs15) msymbol(d) msize(small) ) ///
	(lpoly compres inspectmainres if inspectmain==0, lcolor(black) lpattern(--) lw(.3) deg(1) bw(0.1)) ///
	(lpoly compres inspectmainres if inspectmain==1, lcolor(gray) lpattern(--) lw(.3) deg(1) bw(0.1)) ///
	(lfit compres inspectmainres if inspectmain==0, lcolor(black) lw(.3) lpattern(solid)) ///	
	(lfit compres inspectmainres if inspectmain==1, lcolor(gray) lw(.3) lpattern(solid)) , ///
	legend(order(1 "Inspected Observations" 2 "Never Inspected Observations") region(color(none)) cols(1) size(small) ring(0) pos(11)) ///
	xtitle("Residualized Inspection") ytitle("Residualized AHR") ///
	ylab(-500(250)500) xlab( , nogr) ///
	scheme(tufte)
	
gr export ${figdir}/fig_testing_slope.pdf , replace
