cap cd "C:/Users/laiwz/OneDrive - University of Maryland/Research/anticorruption_civil_servant/jle_final/replication"

global data ./data
global figdir ./figure
global tabdir ./table

graph set window fontface "Times New Roman"


global control exp_unlimited polaff_unlimited educ_vocational educ_college lngdpp




*=======================================
**# Figure OA4
*=======================================
use ${data}/data_for_analysis, clear

*** spline
reghdfe lncomp $control  , a(agcyid year) resid(lnyres)
reghdfe comp $control  , a(agcyid year) resid(yres)
reghdfe inspectmain $control  , a(agcyid year) resid(xres)

qui rcspline yres xres , gen(yrcsp)
reg yres xres
predict yhat

sort xres

tw ///
	(line yrcsp xres) ///
	(line yhat xres) , ///
	leg(order(1 "Restricted Cubic Spline" 2 "Linear Regression") pos(6) row(1)) ///
	xti("Residualized Inspection (D*)") yti("Residualized AHR (AHR*)") xlab(, nogr) ylab(-50(25)50) ///
	scheme(tufte)

	gr export ${figdir}/fig_spline_reg.pdf , replace





**# Table OA5: level vs log
eststo clear

eststo: reghdfe lncomp inspectmain ${control} , absorb(agcyid year) cl(agcyid)
estadd local agcyfe "\multicolumn{1}{c}{Yes}", replace
estadd local yearfe "\multicolumn{1}{c}{Yes}", replace
estadd local control "\multicolumn{1}{c}{Yes}", replace


eventstudyinteract lncomp inspectmain , absorb(agcyid year) cohort(first_inspect) control_cohort(never_inspect) covariates(${control})  vce(cl agcyid)
	mat b = e(b_iw) , e(b)
	local names: colnames b
	mata: st_matrix("V", blockdiag(st_matrix("e(V_iw)"), st_matrix("e(V)")))
	matrix rownames V = `names'
	matrix colnames V = `names'
	sum `e(depvar)' if e(sample) & everinspected & inspectmain==0
	local ymean = `r(mean)'
	local N = e(N_full)
	local r2 = e(r2)

eststo: ereturn post b V , depn("`e(depvar)'")
estadd scalar N_full = `N'
estadd scalar r2 = `r2'
estadd scalar ymean = `ymean'
estadd local agcyfe "\multicolumn{1}{c}{Yes}", replace
estadd local yearfe "\multicolumn{1}{c}{Yes}", replace
estadd local control "\multicolumn{1}{c}{Yes}", replace


eststo: ppmlhdfe comp inspectmain ${control} , absorb(agcyid year) cl(agcyid)
estadd local agcyfe "\multicolumn{1}{c}{Yes}", replace
estadd local yearfe "\multicolumn{1}{c}{Yes}", replace
estadd local control "\multicolumn{1}{c}{Yes}", replace
estadd scalar r2 = e(r2_p) , replace


esttab using ${tabdir}/table_level_vs_log.tex, replace ///
	b(3) se(3) star(+ 0.1 * 0.05 ** 0.01) coeflab(inspectmain "Inspection") keep(inspectmain) label ///
	s(N_full r2 agcyfe yearfe control, fmt(%9.0fc 3 0 0 0) lab("\$N\$" "\$R^2\$" "Dept. FE" "Year FE" "Covariates")) ///
	mtitles("\makecell{ln(AHR) \\ OLS}" "\makecell{ln(AHR) \\ S\&A}" "\makecell{AHR \\ PPML}") ///
	nogaps nonotes nolz booktabs alignment(D{.}{.}{-1}) prefoot("")


	
	
*** testing heteroskedasticity
reg lncomp inspectmain ${control} i.agcyid i.year
estat hettest


