cap cd "C:/Users/laiwz/OneDrive - University of Maryland/Research/anticorruption_civil_servant/jle_final/replication"

global data ./data
global figdir ./figure
global tabdir ./table

graph set window fontface "Times New Roman"






**# Table 5

use ./data/hazard , clear

sort position citycd year
order citycd year
*drop if position=="省委书记"

gen tenure = year-start_yr
gen secretary = (position=="市委书记")
gen one = 1

encode position , gen(poscd)
egen poscity = group(poscd citycd)

global control i.educ tenure c.tenure#c.tenure

eststo clear

eststo: xi: reghdfe falldown inspection , a(one) cl(provcd)
estadd local indfe "\multicolumn{1}{c}{No}" , replace
estadd local posfe "\multicolumn{1}{c}{No}" , replace
estadd local yearfe "\multicolumn{1}{c}{No}" , replace
estadd local covar "\multicolumn{1}{c}{No}" , replace
estadd local provyr "\multicolumn{1}{c}{No}" , replace


eststo: xi: reghdfe falldown inspection , a(id poscity) cl(provcd)
estadd local indfe "\multicolumn{1}{c}{Yes}" , replace
estadd local posfe "\multicolumn{1}{c}{Yes}" , replace
estadd local yearfe "\multicolumn{1}{c}{Yes}" , replace
estadd local covar "\multicolumn{1}{c}{No}" , replace
estadd local provyr "\multicolumn{1}{c}{No}" , replace

eststo: xi: reghdfe falldown inspection ${control} , a(id poscity) cl(provcd)
estadd local indfe "\multicolumn{1}{c}{Yes}" , replace
estadd local posfe "\multicolumn{1}{c}{Yes}" , replace
estadd local yearfe "\multicolumn{1}{c}{Yes}" , replace
estadd local covar "\multicolumn{1}{c}{Yes}" , replace
estadd local provyr "\multicolumn{1}{c}{No}" , replace

eststo: xi: reghdfe falldown inspection ${control} , a(id poscity provcd#c.year) cl(provcd)
estadd local indfe "\multicolumn{1}{c}{Yes}" , replace
estadd local posfe "\multicolumn{1}{c}{Yes}" , replace
estadd local yearfe "\multicolumn{1}{c}{Yes}" , replace
estadd local covar "\multicolumn{1}{c}{Yes}" , replace
estadd local provyr "\multicolumn{1}{c}{Yes}" , replace




//// Make a table
lab var inspection "Inspection"
lab var falldown "Removal"


esttab using ${tabdir}/table_mechanism_uncertainty.tex , replace ///
	b(3) se(3)  star(+ .1 * .05 ** .01) ///
	keep(inspection) label ///
	s(N_full r2 indfe posfe covar provyr , ///
	lab("\$N\$" "\$R^2\$" "Individual FE" "Prefecture \$\times\$ post FE" "Covariates" "Province trends"  ) fmt(%9.0fc 3 0 0 0 0 ) ) ///
	nogaps nonotes nolz booktabs alignment(D{.}{.}{-1}) prefoot("")