cap cd "C:/Users/laiwz/OneDrive - University of Maryland/Research/anticorruption_civil_servant/jle_final/replication"

global data ./data
global figdir ./figure
global tabdir ./table

graph set window fontface "Times New Roman"





*======================
**# Table OA7
*======================

use "${data}/individual_new.dta" , clear
keep if ison==156 // Chinese sample

encode region, gen(provid)

/// statistics
corr altruism subj_math_skills [aw=wgt]
pcorr altruism i.gender i.age i.provid subj_math_skills [aw=wgt]

corr altruism subj_math_skills [aw=wgt] if inrange(age, 25, 65)
pcorr altruism i.gender i.age i.provid subj_math_skills [aw=wgt] if inrange(age, 25, 65)

cap drop res
qui reghdfe altruism subj_math_skills [aw=wgt] , a(gender age provid) resid(res)
sum altruism res [weight=wgt] , d

cap drop res
qui reghdfe altruism subj_math_skills [aw=wgt] if inrange(age, 25, 65) , a(gender age provid) resid(res)
sum altruism res [weight=wgt] if inrange(age, 25, 65) , d


/// table
eststo clear

eststo: reg altruism subj_math_skills [aw=wgt] if inrange(age, 25, 65) , cl(provid)
estadd scalar cor = 0.1334 , replace
estadd scalar ske = -.4503065
estadd scalar N_full = e(N) , replace

eststo: reghdfe altruism subj_math_skills [aw=wgt]  if inrange(age, 25, 65) , a(gender age provid) cl(provid)
estadd scalar cor = 0.1309 , replace
estadd scalar ske = -.4496372
estadd local control "\multicolumn{1}{c}{Yes}" , replace


lab var altruism "Prosociality \$ a \$ (std.)"
lab var subj_math_skills "Math skill \$\theta\$ (std.)"

esttab using ${tabdir}/table_gps_results.tex, replace ///
	b(4) se(4) star(+ 0.1 * 0.05 ** 0.01) keep(subj_math_skills) label ///
	s(cor N_full r2 control, fmt(4 %9.0fc 4 0 ) lab("\$Corr(\theta,a)\$" "\$N\$" "\$R^2\$" "Controls" )) ///
	nogaps nonotes nolz booktabs alignment(D{.}{.}{-1}) prefoot("")

